<div>
  LHS: <input type="number" [(ngModel)]="lhs"
              (change)="compute()"
              name="lhs" [class.error]="lhs < 1"/>
  RHS: <input type="number" [(ngModel)]="rhs"
              (change)="compute()"
              name="rhs" [class.error]="rhs < 1"/>
  <button type="button" (click)="compute()">Compute</button>
</div>
